O Orzaen API Docs

Authentication

Every API request must include an API key in the request header.

X-API-Key: orz_your_api_key_here

1. Ping API

Use this endpoint to test whether an API key is valid.

GET /api/ping
curl https://dashboard.orzaen.com/api/ping \
  -H "X-API-Key: orz_your_api_key_here"
{
  "ok": true,
  "message": "API key is valid",
  "key_name": "Dev webhook key",
  "time": "2026-06-15 10:30:00"
}

2. Check Lead

Use this endpoint before inserting a lead. It checks duplicate leads using google_place_id, email, phone_normalized, website, domain, or company/location/source.

POST /api/leads/check
curl -X POST https://dashboard.orzaen.com/api/leads/check \
  -H "Content-Type: application/json" \
  -H "X-API-Key: orz_your_api_key_here" \
  -d "{\"google_place_id\":\"sample-place-1\"}"

Supported identifiers

{
  "google_place_id": "sample-place-1",
  "email": "broker@example.com",
  "phone_normalized": "15125551020",
  "website": "https://example.com",
  "domain": "example.com",
  "company_normalized": "austin prime",
  "city": "Austin",
  "state": "TX",
  "source": "google_maps"
}

3. Insert Lead

Use this endpoint to insert a new lead into MongoDB. If a duplicate is found, it returns the existing lead ID instead of inserting again.

POST /api/leads
curl -X POST https://dashboard.orzaen.com/api/leads \
  -H "Content-Type: application/json" \
  -H "X-API-Key: orz_your_api_key_here" \
  -d "{\"company\":\"Austin Prime Realty\",\"website\":\"https://austinprimerealty.example.com\",\"domain\":\"austinprimerealty.example.com\",\"email\":\"broker@austinprimerealty.example.com\",\"owner_name\":\"John Smith\",\"owner_role\":\"Broker Owner\",\"phone\":\"+1 512 555 1020\",\"phone_normalized\":\"15125551020\",\"city\":\"Austin\",\"state\":\"TX\",\"google_place_id\":\"sample-place-1\",\"company_normalized\":\"austin prime\",\"source\":\"google_maps\",\"service_offer\":\"property_scraping\",\"lead_score\":85,\"status\":\"qualified\"}"

Lead payload fields

{
  "company": "Austin Prime Realty",
  "website": "https://austinprimerealty.example.com",
  "domain": "austinprimerealty.example.com",
  "email": "broker@austinprimerealty.example.com",
  "owner_name": "John Smith",
  "owner_role": "Broker Owner",
  "phone": "+1 512 555 1020",
  "phone_normalized": "15125551020",
  "city": "Austin",
  "state": "TX",
  "google_place_id": "sample-place-1",
  "company_normalized": "austin prime",
  "source": "google_maps",
  "service_offer": "property_scraping",
  "lead_score": 85,
  "status": "qualified",
  "owner_social_links": {
     "facebook": "https://facebook.com/johnsmith",
     "instagram": "https://instagram.com/johnsmith",
     "linkedin": "https://linkedin.com/in/johnsmith" 
    
    }, 
    "company_social_links": {
      "facebook": "https://facebook.com/abcrealty",
       "instagram": "https://instagram.com/abcrealty",
       "linkedin": "https://linkedin.com/company/abcrealty"
    },
    "qualification_reason": "Small real estate brokerage with owner/broker contact found.",
    "pain_angle": "May need automated listing/property data collection."
}